Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.layout
Class DefaultFlatFileWriterFactory

    java.lang.Object
      com.servingxml.components.recordio.AbstractRecordWriterFactory
          com.servingxml.components.flatfile.layout.DefaultFlatFileWriterFactory

All Implemented Interfaces:
  RecordFilterAppender, RecordPipelineAppender, RecordWriterFactory

    public class DefaultFlatFileWriterFactory

extends AbstractRecordWriterFactory
implements RecordWriterFactory

Implements a default flat file writer.

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`EMPTY_ARRAY`

Constructor Summary
`DefaultFlatFileWriterFactory(FlatFileOptionsFactory flatFileOptionsFactory, StreamSinkFactory sinkFactory)`

Method Summary
`RecordWriter` | `createRecordWriter(ServiceContext context, Flow flow)`

Methods inherited from class com.servingxml.components.recordio.AbstractRecordWriterFactory
`appendToRecordPipeline, createRecordPipeline`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`appendToRecordPipeline, createRecordPipeline`

Constructor Detail

### DefaultFlatFileWriterFactory

    public DefaultFlatFileWriterFactory(FlatFileOptionsFactory flatFileOptionsFactory,
                                        StreamSinkFactory sinkFactory)

Method Detail

### createRecordWriter

    public RecordWriter createRecordWriter(ServiceContext context,
                                           Flow flow)

  Specified by:
    `createRecordWriter` in interface `RecordWriterFactory`
  Specified by:
    `createRecordWriter` in class `AbstractRecordWriterFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD